import {useRoutes} from 'hookrouter';
import Nav from './components/Nav/Nav';
import About from './pages/About/About';
import Home from './pages/Home/Home';
import PageNotFound from './pages/PageNotFound/PageNotFound';
import Shop from './pages/Shop/Shop';

function App() {
  const routes = {
    '/': ()=><Home/>,
    '/about': ()=> <About/>,
    '/shop':()=><Shop productId="X"/>,
    '/shop/:id':({id})=><Shop productId={id}/>,
   };

  const currentPage = useRoutes(routes);
  return (
    <div className="App">
        <Nav />
        {currentPage || <PageNotFound />}
    </div>
  );
}

export default App;